### Constructor

# Foundry JsonListLlmResource new

since: 1.1

#### Declaration [src]

    FoundryLlmResource*
    foundry_json_list_llm_resource_new (
      const char* name,
      const char* uri,
      const char* description,
      GListModel* model
    )

#### Description [src]

Createa a new LlmResource that will monitor changes to `model` and update the contents of the resource.

It is expected that elements within this model can be serialized using Json-GLib gobject serialization.

Available since: 1.1

#### Parameters

`name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`uri`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`description`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`model`

  Type: `GObject`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `FoundryLlmResource`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.